<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::table('microsite_settings', function (Blueprint $table) {
            if (!Schema::hasColumn('microsite_settings', 'tagline')) {
                $table->string('tagline')->nullable()->after('seller_id');
            }
        });
    }

    public function down()
    {
        Schema::table('microsite_settings', function (Blueprint $table) {
            if (Schema::hasColumn('microsite_settings', 'tagline')) {
                $table->dropColumn('tagline');
            }
        });
    }
};
